# ${REPO_NAME}

Created with Vitis Version 2020.2

Created from Template [`${TEMPLATE_NAME}`](${TEMPLATE_LINK})

### Getting started

1. After cloning the repository execute the following commands in the cloned folder:

    - `git config --local core.hooksPath .githooks` - set path to git-hooks for this repository.
    
    - `git checkout BRANCH` - checkout the BRANCH you want to work with (e.g. `master`) which create local project files (because the hook script will be executed now ; this could take a while).

2. Open Vitis and select the cloned folder as workspace.

3. Click on `Inport Project`, choose `Import projects from Git` and click `Next >`.

4. Choose `Existing local repository` and click `Next >`.

5. Choose the cloned / workspace folder (should be the only entry) and click `Next >`.

6. Choose `Import existing Eclipse projects` and click `Next >`.

7. Leave everything unchanged and click `Finish`.

### Workflow

- When you want to commit your work, add all files with `git add .` - Not relevant files will be ignored by the `.gitignore` file.

#### Checkout branch

- It is recommended that you follow these steps to checkout a branch:

    - Close Vitis.
    
    - Make sure all work is commited.
    
    - Clean up workspace folder with `git clean -dfx`.
    
    - `git checkout BRANCH` - checkout the BRANCH you want to work with (e.g. `master`) which create local project files (because the hook script will be executed now ; this could take a while).
    
    - Follow the instructions in the `Getting started` section from step `2`.
